<?php
require_once("PHP/MyDatabase.php");
require_once("PHP/MyPage.php");

$LINIA = "<div class='wpis'><p> <span class='wpis-data'>{{Data}}:</span> <span class='wpis-tytul'>{{TYTUL}}</span></p><p class='info'>{{INFO}}</p></div>\n";

function PobierzWpisy(){ 
	$db = myDB();
	if ($db!= false){
		return myDbSelect($db,"SELECT * FROM blog ORDER BY Data DESC LIMIT 10");
	} else {
		return [];
	}
}

function GenerujWpisy($wpisy){
	global $LINIA;
	$S = "";
	foreach($wpisy as $wpis){
		$S.= str_replace(["{{Data}}", "{{TYTUL}}", "{{INFO}}"], 
		[$wpis['Data'], $wpis['Tytul'], $wpis['Info']], $LINIA);
	}
	return $S;
}

$P = new WPPTPage('2',"Kadra Katedry Informatyki WPPT PWr");
$P->SetDescription("Mój blog");
$P->AddKeywords("opinie, uwagi");
$P->AddCSS("blog.css");

echo $P->Begin();
?>

<h1>Mój blog</h1>

<?php echo GenerujWpisy(PobierzWpisy()); ?>

<hr>
<p>
<a class="btn btn-a" href="myBlogB.php">Dodaj wpis</a> 
</p>

<?php echo  $P->End();?>  